#ifndef CMDCHANGETEXTNOTEGEOMETRY_H
#define CMDCHANGETEXTNOTEGEOMETRY_H

#include "cmdchangenotegeometry.h"

#include <QList>

class TextNoteData;

class CmdChangeTextNoteGeometry : public CmdChangeNoteGeometry
{
	public:
		CmdChangeTextNoteGeometry(TextNoteData* subject);

		void moveSplitter(const QList<int> sizes);

		void redo();
		void undo();

	private:
		TextNoteData* subject() const;

	private:

		QList<int>			mOldSliderPos;
		QList<int>			mNewSliderPos;

};

#endif // CMDCHANGETEXTNOTEGEOMETRY_H
