/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef TIMEANDDATEDISPLAY_H
#define TIMEANDDATEDISPLAY_H

#include <QWidget>

namespace Ui {
    class TimeAndDateDisplay;
}

class Timer;

class TimeAndDateDisplay : public QWidget {
    Q_OBJECT
	public:
		TimeAndDateDisplay(QWidget *parent = 0);
		~TimeAndDateDisplay();

	protected slots:
		void updateTime();

	protected:
		void changeEvent(QEvent *e);

	private:
		Ui::TimeAndDateDisplay *ui;
		QTimer*					pTimer;

};

#endif // TIMEANDDATEDISPLAY_H
