/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef FILEDIALOG_H
#define FILEDIALOG_H

#include <QObject>
#include <QString>


class QWidget;

class FileDialog : public QObject
{
	public:
		FileDialog();

		static QString getSaveFileName(QWidget* parent,
									   QString title,
									   QString path,
									   QString	filters,
									   QString* selectedFilter = 0);


		static QString getExistingDirectory(QWidget* parent,
												 QString title,
												 QString path);


};

#endif // FILEDIALOG_H
