/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/



/* This files contain macros to add XML tag-string to the header and the cpp file the same time.

   The macro STRING(X,Y) is defined different in the header and source-file. This file is then included in both of them.

   Refere to xmlstring.h and xmlstring.cpp for more information.


   This file is included using #include in both .cpp and .h file. Use proper C++ language in it.
*/


// Macro STRING defins a const char* string.


/***************************************************************************/

// Strings used in the Basket context.

STRING(XML_BASKET_DESCRIPTOR_DOCUMENT, "BasketDescriptor");
STRING(XML_BASKET_ROOT, "Basket");
STRING(XML_BASKET_NOTE_PAD_PAGE_OBJECT, "NotePadPage");
STRING(XML_BASKET_NOTE_LIST, "Notes");


// Strings used in the NoteData context.

STRING(XML_NOTE_TEXT_NOTE_OBJECT, "TextNote");

STRING(XML_NOTE_NOTEID, "NoteID");
STRING(XML_NOTE_POS, "Pos");
STRING(XML_NOTE_POS_X, "X");
STRING(XML_NOTE_POS_Y, "Y");

STRING(XML_NOTE_SIZE, "Size");
STRING(XML_NOTE_SIZE_WIDTH, "Width");
STRING(XML_NOTE_SIZE_HEIGHT, "Height");

STRING(XML_NOTE_TAGLIST, "TagList");
STRING(XML_NOTE_STERIOTYPES, "SterioTypeList");


STRING(XML_TEXTNOTE_HEADER_BODY_LAYOUT, "HeaderBodyLayout");
STRING(XML_TEXTNOTE_HEADER_BODY_SIZES_ATTR,  "Sizes");
